@import "~/styles/fonts.legacy.scss";
@import "@assets/themes/themify.utils.scss";
@import "~/themes.scss";

%menu-title {
  text-transform: capitalize;
  margin: 0;
  padding: 0.4em;
}

%menu-trademark {
  sub {
    font-size: 2em;
    vertical-align: middle;
  }
}

.Menu {
  .Addon {
    display: flex;
    align-items: center;
    margin: 4px;
  }

  .SelectButton {
    padding-left: 2px;
    padding-right: 2px;
    display: flex;
    align-items: center;
    flex-direction: row;
    width: min-content;
    font-size: 18px;

    * {
      border: 0;
      cursor: pointer;
      white-space: nowrap;
    }

    .Addon {
      font-size: 16px;
      height: 16px;
      width: 16px;
    }
  }

  @include themify("SelectButton", $themes) {
    font-family: themed("font-family");
    color: themed("text-primary");

    .Addon * {
      color: themed("icon-active");
    }

    &:hover,
    &:active {
      color: themed("panel-text-selected");
      background-color: themed("panel-background-selected");
    }
  }
}

.Wrapper {
  padding: 0;
  margin: 0;
  text-rendering: optimizelegibility;

  ul,
  li {
    list-style-type: none;
  }
}

.WrapperTop {
  position: absolute;
  z-index: 900;
  box-shadow: rgb(0 0 0 / 50%) 0 0 6px;
}

@include themify("Wrapper", $themes) {
  font-family: themed("font-family");
}

.Wrapper {
  .Item {
    display: block;

    @extend %menu-title;
    @extend %menu-trademark;

    text-rendering: optimizelegibility;
    cursor: pointer;
  }

  .Item-item {
    text-align: center;
  }

  .Group {
    .GroupTitle {
      @extend %menu-title;

      display: flex;
      text-rendering: optimizelegibility;
      outline: none;
      cursor: pointer;
      font-size: 14px;
    }

    .Addon {
      font-size: 12px;
      height: 12px;
      width: 12px;
    }
  }

  .CollapsibleGroup,
  .GroupChildren {
    max-height: 2000px;
  }

  .CollapsedGroup {
    max-height: 0;
  }

  .AccordionGroup .GroupChildren {
    transition: max-height 0.2s ease-in-out;
  }

  @include themify("Group", $themes) {
    color: themed("panel-text");
    background-color: themed("panel-background");

    .Addon * {
      color: themed("panel-text");
    }

    &:hover {
      color: themed("panel-text-selected");

      .Addon * {
        color: themed("icon-active");
      }
    }

    .GroupTitle:hover {
      color: themed("panel-text-focused");
      background-color: themed("panel-background-focused");

      .Addon * {
        color: themed("icon-inactive");
      }
    }
  }

  @include themify("Item-item", $themes) {
    color: themed("item-text");
    background-color: themed("item-background");
    box-shadow: rgb(0 0 0 / 20%) 0 0 1px;

    &:hover {
      color: themed("item-text-focused");
      background-color: themed("item-background-focused");
    }
  }

  @include themify("Item-panel", $themes) {
    color: themed("panel-text");
    background-color: themed("panel-background");
  }
}
